[Debug] mochitests-4: intermittent "test_value_cloning.html | Test timed out."

RESOLVED WORKSFORME

Status

()

Core
Layout
--
major
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Depends on: 1 bug, {crash, intermittent-failure})

Trunk
mozilla2.0b9
x86
Linux
crash, intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test that aborts the suite] , URL)

Attachments

(2 attachments)

(Assignee)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1271023095.1271027026.5174.gz
Linux comm-central-trunk debug test mochitests-4/5 on 2010/04/11 14:58:15
s: cb-sea-linux-tbox
{
[...]
++DOMWINDOW == 55 (0xe070b48) [serial = 4002] [outer = 0xefb0290]
58096 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | serialization should match when cloning text-anchor: inherit
58097 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | computed values should match when cloning text-anchor: inherit
58098 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_cloning.html | Test timed out.
}
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Updated

7 years ago
No longer blocks: 452942
Summary: [(Debug) SeaMonkey] mochitests-4: intermittent "test_value_cloning.html | Test timed out." → [Debug] mochitests-4: intermittent "test_value_cloning.html | Test timed out."
(Assignee)

Comment 4

7 years ago
It looks like "Firefox or now" is causing a crash of the test suite.
Severity: minor → major
Keywords: crash
Whiteboard: [orange] → [test which crashes the suite] [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
See also bug 527614.  Same test, roughly same periods when it was happening.
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Maybe the fact that this was happening a lot went away with the tracemonkey merge:
http://hg.mozilla.org/mozilla-central/pushloghtml?changeset=f1f07a0a036b
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Comment 68

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286003227.1286006810.1337.gz
WINNT 5.2 comm-central-trunk debug test mochitests-4/5 on 2010/10/02 00:07:07

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286018662.1286023627.15714.gz
WINNT 5.2 comm-central-trunk debug test mochitests-4/5 on 2010/10/02 04:24:22

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286046396.1286050036.24917.gz
WINNT 5.2 comm-central-trunk debug test mochitests-4/5 on 2010/10/02 12:06:36
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Comment 76

7 years ago
(In reply to comment #75)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1291397132.1291400869.23106.gz
> WINNT 5.2 mozilla-central debug test mochitests-4/5 on 2010/12/03 09:25:32

{
68672 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 905340ms
}

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1292645612.1292650734.18158.gz
WINNT 5.2 comm-central-trunk debug test mochitests-4/5 on 2010/12/17 20:13:32
{
68162 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 902129ms
}
(Assignee)

Comment 77

7 years ago
Created attachment 498521 [details] [diff] [review]
(Av1) Increase timeout factor to 4 from 3
[Checked in: Comment 79]

Bug 527614 set the factor to 3 from 1.
I'm simply assuming that this is not enough yet :-|

Ftr, another solution would be to split the test, if that's possible and it is not actually failing.
Attachment #498521 - Flags: review?(dbaron)
Comment on attachment 498521 [details] [diff] [review]
(Av1) Increase timeout factor to 4 from 3
[Checked in: Comment 79]

r=dbaron
Attachment #498521 - Flags: review?(dbaron) → review+
(Assignee)

Comment 79

7 years ago
Comment on attachment 498521 [details] [diff] [review]
(Av1) Increase timeout factor to 4 from 3
[Checked in: Comment 79]

http://hg.mozilla.org/mozilla-central/rev/8266fc8fbc31
Attachment #498521 - Attachment description: (Av1) Increase timeout factor to 4 from 3 → (Av1) Increase timeout factor to 4 from 3 [Checked in: Comment 79]
(Assignee)

Updated

7 years ago
Assignee: nobody → sgautherie.bz
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla2.0b9
(Assignee)

Comment 80

7 years ago
(In reply to comment #74)

{
68677 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | serialization should match when cloning text-anchor: -moz-initial - "-moz-initial" should equal "-moz-initial"
68678 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | computed values should match when cloning text-anchor: -moz-initial - "start" should equal "start"
68679 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_cloning.html | Test timed out.
68680 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 927226ms
}

(In reply to comment #75)

{
68669 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | serialization should match when cloning stroke-width: 0px - "0px" should equal "0px"
68670 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | computed values should match when cloning stroke-width: 0px - "0px" should equal "0px"
68671 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_cloning.html | Test timed out.
68672 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 905340ms
}

(In reply to comment #76)

{
68159 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | serialization should match when cloning width: -moz-calc(3*25px) - "-moz-calc(3 * 25px)" should equal "-moz-calc(3 * 25px)"
68160 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | computed values should match when cloning width: -moz-calc(3*25px) - "75px" should equal "75px"
68161 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_cloning.html | Test timed out.
68162 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 902129ms
}

These are random and yet narrow enough to be consistent with the test just taking too long (> 15 mn) to complete.

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1293060475.1293065137.7445.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-4/5 on 2010/12/22 15:27:55
{
68189 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | serialization should match when cloning width: -moz-calc(50px/(2 - 1)) - "-moz-calc(50px / 1)" should equal "-moz-calc(50px / 1)"
68190 INFO TEST-PASS | /tests/layout/style/test/test_value_cloning.html | computed values should match when cloning width: -moz-calc(50px/(2 - 1)) - "50px" should equal "50px"
68191 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_value_cloning.html | Test timed out.
68192 INFO TEST-END | /tests/layout/style/test/test_value_cloning.html | finished in 1200447ms
}

20 mn doesn't seem enough yet :-/
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 81

7 years ago
Created attachment 499477 [details] [diff] [review]
(Bv1) Increase timeout factor to 5 from 4

Per comment 80...
Attachment #499477 - Flags: review?(dbaron)
I don't understand what comment 80 is trying to say.
Attachment #499477 - Flags: review?(dbaron) → review+
(Assignee)

Updated

7 years ago
Depends on: 629444
(Assignee)

Comment 83

7 years ago
(In reply to comment #82)
> I don't understand what comment 80 is trying to say.

I was trying to give figures to support whether or not increasing the timeout factor could help.

*****

I wanted to wait a little before checking patch Bv1 in,
but now there's bug 629444 :-/
Whiteboard: [test which crashes the suite] [orange] → [test that aborts the suite] [orange]
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: REOPENED → RESOLVED
Last Resolved: 7 years ago5 years ago
Resolution: --- → WORKSFORME
Keywords: intermittent-failure
Whiteboard: [test that aborts the suite] [orange] → [test that aborts the suite]
You need to log in before you can comment on or make changes to this bug.